<div class="upload-block">

  <input type="file" #file placeholder="Choose file" (change)="uploadFile(file.files)" style="display: none">
  <button mat-flat-button color="primary" type="button" (click)=" file.value =''; file.click()">Upload File</button>

  <ng-container *ngIf="fileUploading">

      <mat-progress-bar mode="determinate" value="{{progress}}"></mat-progress-bar>

  </ng-container>

  <div class="break"></div>

  <ng-container *ngIf="UploadFinished">
    <span class="upload" *ngIf="message">{{message}}</span>
  </ng-container>

</div>
